@font-face {
  font-family: "Arimo"
  src: url("/v1.0/fonts/Arimo-Regular.ttf") format("truetype")
}

body, html
  background-color: $ms-dark
  font-family: "Arial", sans-serif
  // letter-spacing: 0.4px
  font-size: 0.96em

// Overwrite font
h1, h2, h3, h4, h5, h6
  font-family: Arial, sans-serif;
  font-weight: normal !important;

// Apply border to lvl > h2
h3, h4, h5, h6
  border-bottom: 1px solid $ms-secondary-dark
  padding-bottom: 0.4rem;

h4
  font-size: 1.2em

h5, h6
  font-size: 1rem

// '#' headings anchors
a.header-anchor
  opacity: 1 // Make it visible. Default to 0

// paragraphs
p, li
  color: #DDDDDD

// Lists
li::marker
  color: grey

// Navbar and sidebar

.sidebar > .sidebar-links > li > a.sidebar-link,
.sidebar-heading,
.navbar .home-link,
.navbar .site-name,
.suggestions, 
.suggestions .suggestion .page-title
  font-family: Arial, sans-serif;
  font-weight: normal !important;

.sidebar .sidebar-group .sidebar-heading.clickable.active
  border-left: 0.25rem solid $ms-blue !important

.sidebar-group.is-sub-group > .sidebar-group-items > li > .sidebar-link
  border-left: 0.25rem solid transparent !important

.sidebar-group.is-sub-group > .sidebar-group-items > li > .sidebar-link.active
  border-left: 0.25rem solid $ms-blue !important

.navbar, .sidebar
  background-color: $ms-dark

.navbar .links
  background-color: $ms-dark !important

.navbar .links,
.dropdown-wrapper .dropdown-title
  font-size: 1rem !important
  font-family: Arial, sans-serif;

.search-box input
  color: $ms-white
  border: 1px solid $ms-secondary-dark
  background-color: $ms-dark !important

.dropdown-wrapper .nav-dropdown
  background-color: $ms-dark !important
  border: 1px solid $ms-secondary-dark !important

.suggestions
  background-color: $ms-dark !important
  border: 1px solid $ms-secondary-dark !important
  .suggestion.focused
    background-color: $ms-secondary-dark !important

// Blockquotes

blockquote
  background-color: $ms-secondary-dark

// Code block

div[class*="language-"], 
.theme-default-content code
  background-color: $ms-secondary-dark
  .token.comment
    color: $ms-green

div[class*="language-"].line-numbers-mode::after
  background-color: inherit

// Custom blocks

.custom-block
  border-radius 4px
  margin 1rem 0
  padding .1rem 1.5rem

  &.tip
    background-color: $ms-secondary-dark
  
  &.warning
    background-color: #25231D
    border-color: #e7c000
    color: #8b7500

  &.see-also
    background-color: $ms-secondary-dark
    border-left-width: 0.5rem;
    border-left-style: solid;
    border-left-color: #AA0090
    margin-top 2rem

// Tables

td
  border: 1px solid $ms-secondary-dark

th
  font-weight: normal
  background-color: $ms-secondary-dark
  border: 1px solid $ms-secondary-dark
  border-right: 1px solid $ms-dark
  color: grey

tr th:last-child
  border-right: 1px solid $ms-secondary-dark

tr:nth-child(2n)
  background-color: $ms-dark

// Custom classes

.color-blue
  color: $ms-blue
.color-green
  color: $ms-green
.color-beige
  color: $ms-beige